#pragma once

#define MK_FP(seg, addr) (char *)(((seg) << 4) | (addr))
#define far 
#define interrupt
char inportb(unsigned int port);
void outportb(unsigned int port,unsigned char value);
typedef unsigned short WORD;
WORD inportw(unsigned int port);
void outportw(unsigned int port,WORD value);

typedef void interrupt far (*inthdlr_t)( void );
void enable();
void disable();
void setvect(int no, inthdlr_t func);
inthdlr_t getvect(int no);

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
void debugprint(const char *format,...);
#ifdef __cplusplus
};
#endif /* __cplusplus */